## org.eclipse.m2m.atl.engine.vm
Class ASMReader

    java.lang.Object
      org.eclipse.m2m.atl.engine.vm.ASMReader

    public abstract class ASMReader

extends java.lang.Object

Constructor Summary
`ASMReader()`

Method Summary
`abstract ASM` `read(java.io.InputStream in)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASMReader

    public ASMReader()

Method Detail

### read

    public abstract ASM read(java.io.InputStream in)

Copyright 2007 IBM Corporation and others. All Rights Reserved.